other stuff to do
  1. "xabacus really bad": (Oow got ripped by a review...)
    Not my idea to distribute C version without Motif, but the intent was
    that its supposed to be minimalistic, sort of like oclock, i.e. a
    retro-look.  I kind of like it, but its not for everybody.
  2. "xmabacus app is out of date":
    Added a few new things in 7.7.1 (see Changelog) but kept Motif interface,
    not really specific on what was out of date.  Possibly its time to
    adopt Gnome or KDE  but do not yet see the value added over available
    Java version.  Also a big problem I see is that these other libraries
    keep changing.  Another thing is that Motif works great with Xt Widgets
    which allows you to group widgets together easily like in "Lee's Abacus"
    where I have a main abacus widget grouped together with 2 auxiliary
    abacus widgets.  I am not sure how I can port this feature.
  3. What graphics in menu would help?
  4. The calculator portion does not work for big numbers, i.e. where
    one can type in math operations and see the abacus perform, e.g.
    5,000,000,000,000,000.0+1.
  5. When displayBase != base calculate with strings instead of
    "long long".  I.e. the number of rails can be large if displayBase =
    base, but may error out when this is not true for a large number of
    rails.
  6. Allow for locale to use "," for "." and vice versa.
    It might be confusing to change this if one actually wanted to try
    different locales, e.g. Danish Abacus.
    http://www.acm.uiuc.edu/webmonkeys/book/c_guide/2.6.html
  7. Handling of negatives would be nice (work started with complement
    function).
  8. "Demo" and "Teach" have beads and rail highlighted to make clear the
    current position of calculation for digit; should this be extended to
    highlight a printed digit?
  9. Developing Custom Draw Controls i.e. NM_CUSTOMDRAW.  Would this help
    make "widgets" in Window (so Lee's Abacus could run there)?
    http://www.codeproject.com/KB/list/lvcustomdraw.aspx
  10. Add gettext for languages.  It seems like Motif just uses ISO8859-1
    encoding and does not not handle UTF-8 non-ascii characters well
    which would make this feature moot.  Looking to see if any way around
    this without abandoning Motif.
    ./configure --enable-gettext
    LANGUAGE=fr_FR; export LANGUAGE
    make msgfmt
  11. Teach strings at command-line for X so do not need Motif.
  12. Fukutaro's method for sqrt is faster then Lee's method and should
    be adopted by teach mode.  http://totton.idirect.com/soroban/katoSq/
    Similarly https://xlinux.nist.gov/dads/HTML/cubeRoot.html
    http://dechifro.org/abacus/
  13. Have a way to have buffer rails (beads in middle of rail is an option)
    so as to have registers similar to Lee's Abacus but as one long abacus.
  14. For Lee's Abacus should have way of synchronizing options like format
    or stuff like xabacus -group -groupSize 2 (normally 3)
  15. More detection of limited rows for calculation.  Probably more
    examples where teach mode fails for simple calculations when decimal
    offset or limited number of rails.  I have fixed cases I have seen.
  16. Hard coded keys like 's' and 't', etc. may be confusing so should be
    a way to turn off.
  17. Change granularity in teach mode.  I.e. skip teaching addition for
    multiplication.
  18. Implement undo and redo for teach and demo mode.
